# mPy - kit FKS0001 led test
# provided by Anthony Vogelaar, Perth UK
# rev 0.10  2025-05-14  initial release

from	machine	import	Pin
import	time

# three flashes RED led connected to IO32
def test1():
    led_red = Pin(32, Pin.OUT)
    led_red(True)
    time.sleep(1)
    led_red(False)
    time.sleep(1)
    led_red(True)
    time.sleep(1)
    led_red(False)
    time.sleep(1)
    led_red(True)
    time.sleep(1)
    led_red(False)


# flashing RED led connected to IO32
def test2():
    led_red = Pin(32, Pin.OUT)
    while True:
        led_red(True)
        time.sleep(1)
        led_red(False)
        time.sleep(1)


def test3():
    led_red = Pin(32, Pin.OUT)
    while True:
        led_red(not led_red())
        time.sleep(1)


test3()

# ======================== End =======================
